package jp.co.ecosysnetwork.ccloca_app.activity;


import androidx.appcompat.app.AppCompatActivity;

import java.io.DataOutputStream;
import java.io.IOException;

/**
 * コース設定アクティビティ
 */
public class BaseActivity
        extends AppCompatActivity {
    /**
     * 送信文字列の追加
     * @param os データ出力ストリーム
     * @param boundary 境界
     * @param name 属性名
     * @param value 属性値
     * @throws IOException 入出力例外を返すことがある
     */
    protected void append_string(DataOutputStream os, String boundary, String name, String value) throws IOException {
        os.writeBytes("--" + boundary + "\r\n");
        os.writeBytes("Content-Disposition: form-data; name=" + "\"" + name + "\"" + "\r\n" + "\r\n");
        os.writeBytes(value + "\r\n");
    }
    /**
     * 送信データの終端設定
     * @param os データ入出力ストリーム
     * @param boundary 境界
     * @throws IOException 入出力例外を返すことがある
     */
    protected void append_final(DataOutputStream os, String boundary) throws IOException {
        os.writeBytes("--" + boundary + "--" + "\r\n");
        os.close();
    }
}